/*
* ico_gfc.h - contains defines for global failsafe services
*
* Copyright (c) 2015-2019 emotas embedded communication GmbH
*
*-------------------------------------------------------------------
* $Id: ico_gfc.h 48618 2023-08-28 14:17:15Z boe $

*-------------------------------------------------------------------
*
*
*/

/**
* \file
* \brief data type header
*/

#ifndef ICO_GFC_H
#define ICO_GFC_H 1


#ifdef CO_EVENT_DYNAMIC_GFC
# ifdef CO_EVENT_PROFILE_GFC
#  define CO_EVENT_GFC_CNT	(CO_EVENT_DYNAMIC_GFC + CO_EVENT_PROFILE_GFC)
# else /* CO_EVENT_PROFILE_GFC */
#  define CO_EVENT_GFC_CNT	(CO_EVENT_DYNAMIC_GFC)
# endif /* CO_EVENT_PROFILE_GFC */
#else /* CO_EVENT_DYNAMIC_GFC */
# ifdef CO_EVENT_PROFILE_GFC
#  define CO_EVENT_GFC_CNT	(CO_EVENT_PROFILE_GFC)
# endif /* CO_EVENT_PROFILE_GFC */
#endif /* CO_EVENT_DYNAMIC_GFC */


/* datatypes */

/* function prototypes */

void	icoGfcReset(void);
void	icoGfcSetDefaultValue(void);
void	*icoGfcGetObjectAddr(void);
RET_T	icoGfcCheckObjLimit_u8(UNSIGNED8	value);
void	icoGfcHandler(void);
void	icoGfcVarInit(void);

#endif /* ICO_GFC_H */

